> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications



## OpenAPI

````yaml /openapi/notification.json get /v1/notifications/
openapi: 3.0.3
info:
  title: Yume API — Уведомления
  version: 1.0.0
  description: Push, email и SMS уведомления.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/notifications/:
    get:
      summary: Get notifications
      operationId: root_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedNotificationList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedNotificationList:
      type: object
      required:
        - results
      properties:
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?cursor=cD00ODY%3D"
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          type: array
          items:
            $ref: '#/components/schemas/Notification'
    Notification:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        body:
          type: string
        user:
          type: integer
        type:
          allOf:
            - $ref: '#/components/schemas/TypeEnum'
          readOnly: true
        topic:
          allOf:
            - $ref: '#/components/schemas/TopicEnum'
          readOnly: true
        content_type:
          type: string
          maxLength: 255
        object_id:
          type: integer
          maximum: 2147483647
          minimum: 0
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        extra: {}
        claim_once:
          type: boolean
          readOnly: true
        read_by:
          type: integer
          readOnly: true
          nullable: true
        read_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - body
        - claim_once
        - content_type
        - created_at
        - id
        - object_id
        - read_at
        - read_by
        - topic
        - type
        - user
    TypeEnum:
      enum:
        - info
        - warning
        - alert
      type: string
      description: |-
        * `info` - Информация
        * `warning` - Предупреждение
        * `alert` - Важное
    TopicEnum:
      enum:
        - default
        - request_reserved
        - request_completed
        - request_time_exceed
        - request_payment_status_change
        - transaction_created
        - transaction_refund
        - transaction_delete
        - client_debt_limit_exceeded
        - client_blacklist_added
        - document_created
        - document_signed
        - inventorization_created
        - inventorization_checklist
        - delivery_assigned
        - delivery_status_change
        - delivery_completed
        - delivery_cancelled
        - maintenance_due
        - maintenance_assigned
        - maintenance_completed
        - task_assigned
        - task_reminder
        - task_overdue
        - task_completed
        - inventory_broken
        - sms_balance_low
        - sms_error
        - sms_refund
        - erap_penalty_created
        - erap_penalty_checkup
        - wazzup_message_received
        - integration_token_expired
        - integration_error
      type: string
      description: |-
        * `default` - По умолчанию
        * `request_reserved` - Аренда забронирована
        * `request_completed` - Аренда завершена
        * `request_time_exceed` - Просрочка аренды
        * `request_payment_status_change` - Изменился статус оплаты аренды
        * `transaction_created` - Создан платёж
        * `transaction_refund` - Возврат платежа
        * `transaction_delete` - Удалён платёж
        * `client_debt_limit_exceeded` - Превышен лимит задолженности клиента
        * `client_blacklist_added` - Клиент добавлен в чёрный список
        * `document_created` - Создан документ
        * `document_signed` - Документ подписан
        * `inventorization_created` - Создана инвентаризация
        * `inventorization_checklist` - Чек-лист инвентаризации
        * `delivery_assigned` - Назначена доставка
        * `delivery_status_change` - Изменился статус доставки
        * `delivery_completed` - Доставка выполнена
        * `delivery_cancelled` - Доставка отменена
        * `maintenance_due` - Подошёл срок обслуживания
        * `maintenance_assigned` - Назначено обслуживание
        * `maintenance_completed` - Обслуживание завершено
        * `task_assigned` - Назначена задача
        * `task_reminder` - Напоминание о задаче
        * `task_overdue` - Задача просрочена
        * `task_completed` - Задача выполнена
        * `inventory_broken` - Инвентарь сломан
        * `sms_balance_low` - Заканчивается баланс SMS
        * `sms_error` - Ошибка отправки SMS
        * `sms_refund` - Возврат за SMS
        * `erap_penalty_created` - Получен автоштраф
        * `erap_penalty_checkup` - erap_penalty_checkup
        * `wazzup_message_received` - Получено сообщение Wazzup
        * `integration_token_expired` - Истёк ключ интеграции
        * `integration_error` - Ошибка интеграции
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````